define(function (require) {

    "use strict";

    var $           = require('jquery'),
        Backbone    = require('backbone'),
        MainView    = require('app/views/Main'),
        HomeView    = require('app/views/Home'),

        $body = $('body'),
        mainView = new MainView({el: $body}).render(),
        $content = $("#content", mainView.el),
        homeView = new HomeView({el: $content});

    return Backbone.Router.extend({

        routes: {
            "": "home",
            "aboutus": "aboutus",
            "contact": "contact"
        },

        home: function () {
            homeView.delegateEvents(); // delegate events when the view is recycled
            homeView.render();
        },

        contact: function () {
            require(["app/views/Contact"], function (ContactView) {
                var view = new ContactView({el: $content});
                view.render();
            });
        },

        aboutus: function () {
            require(["app/views/aboutus"], function (AboutusView) {
                var view = new AboutusView({el: $content});
                view.render();
            });
        }
    });
});